import request from '@/utils/request'

export function getBrandPage(data) {
  return request({
    url: '/base-brand/page',
    method: 'get',
    params: data
  })
}

export function getBrandList(data) {
  return request({
    url: '/base-brand/list',
    method: 'post',
    data: data
  })
}

export function getBrandById(data) {
  return request({
    url: '/base-brand/listById',
    method: 'post',
    data: data
  })
}

export function addBrand(data) {
  return request({
    url: '/base-brand/add',
    method: 'post',
    data: data
  })
}

export function editBrand(data) {
  return request({
    url: '/base-brand/edit',
    method: 'post',
    data: data
  })
}

export function delBrand(data) {
  return request({
    url: '/base-brand/delete',
    method: 'post',
    data: data
  })
}
